/*
 * xmms-mad - mp3 plugin for xmms
 * Copyright (C) 2001-2002 Sam Clegg - See COPYING
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $superduper: input.h,v 1.15 2002/05/16 16:43:51 samc Exp $
 */
#ifndef INPUT_H
#define INPUT_H

#include <xmms-mad.h>

int input_init (struct mad_info_t *songinfo, const char *url);
int input_term (struct mad_info_t *songinfo);
int input_get_info (struct mad_info_t *songinfo);
int input_get_data (struct mad_info_t *songinfo, char *buffer,
                    int buffer_size);
int input_udp_read ();

#endif /* ! INPUT_H */
